"use strict";
// Copyright 2020-2025 SubQuery Pte Ltd authors & contributors
// SPDX-License-Identifier: GPL-3.0
Object.defineProperty(exports, "__esModule", { value: true });
exports.findDuplicateStringArray = findDuplicateStringArray;
const lodash_1 = require("lodash");
// Find duplicate string array in arrays
// Only sorted unique string array will be return
function findDuplicateStringArray(arrays) {
    const sortedArrays = arrays.map((arr) => arr.sort().join(''));
    const duplicateArray = [];
    for (let i = 0; i < sortedArrays.length; i++) {
        if (sortedArrays.indexOf(sortedArrays[i]) !== sortedArrays.lastIndexOf(sortedArrays[i])) {
            duplicateArray.push(arrays[i]);
        }
    }
    return (0, lodash_1.uniqWith)(duplicateArray, lodash_1.isEqual);
}
//# sourceMappingURL=array.js.map