import Pino, { LevelWithSilent } from 'pino';
export interface LoggerOption {
    level?: string;
    filepath?: string;
    rotate?: boolean;
    nestedKey?: string;
    outputFormat?: 'json' | 'colored';
    /**
     * Set the debug level for specific child loggers
     * */
    debugFilter?: string[];
}
export declare class Logger {
    private pino;
    private childLoggers;
    private _debugFilter;
    constructor({ filepath, level: logLevel, nestedKey, outputFormat, rotate, debugFilter }: LoggerOption);
    getLogger(category: string): Pino.Logger;
    setLevel(level: LevelWithSilent): void;
    setDebugFilter(debugFilter: string[]): void;
    private get debugFilter();
    private applyChildDebug;
}
