"use strict";
// Copyright 2020-2025 SubQuery Pte Ltd authors & contributors
// SPDX-License-Identifier: GPL-3.0
Object.defineProperty(exports, "__esModule", { value: true });
exports.MULTI_GLOBAL_REGEX = exports.MULTI_METADATA_REGEX = exports.METADATA_REGEX = void 0;
exports.getMetadataTableName = getMetadataTableName;
exports.hashName = hashName;
const util_crypto_1 = require("@polkadot/util-crypto");
exports.METADATA_REGEX = /^_metadata$/;
exports.MULTI_METADATA_REGEX = /^_metadata_[a-zA-Z0-9-]+$/;
exports.MULTI_GLOBAL_REGEX = /^_[global|Global]$/;
function getMetadataTableName(chainId) {
    const hash = (0, util_crypto_1.blake2AsHex)(chainId, 64);
    return `_metadata_${hash}`.substring(0, 63); // 63 chars is the max postgres database table name length
}
// Hash names of SQL functions, triggers, channels to ensure it does not exceed the char limit
function hashName(schema, type, tableName) {
    // Postgres identifier limit is 63 bytes (chars)
    return (0, util_crypto_1.blake2AsHex)(`${schema}_${tableName}_${type}`, 64).substring(0, 63);
}
//# sourceMappingURL=metadata.js.map