import { DataTypes } from '@subql/x-sequelize';
type ValueOf<T> = T[keyof T];
export type SequelizeTypes = string | ValueOf<typeof DataTypes>;
export declare class TypeClass<T extends string, D> {
    name: T;
    private _hashCode;
    private _tsType?;
    private _fieldScalar?;
    private _sequelizeType?;
    constructor(name: T, _hashCode: (data: D) => Uint8Array, _tsType?: string | undefined, _fieldScalar?: string | undefined, _sequelizeType?: SequelizeTypes | undefined);
    get tsType(): string | undefined;
    get fieldScalar(): string | undefined;
    get sequelizeType(): SequelizeTypes;
    hashCode(data: D): Uint8Array;
}
export {};
