"use strict";
// Copyright 2020-2025 SubQuery Pte Ltd authors & contributors
// SPDX-License-Identifier: GPL-3.0
Object.defineProperty(exports, "__esModule", { value: true });
exports.Bytes = void 0;
const util_1 = require("@polkadot/util");
const x_sequelize_1 = require("@subql/x-sequelize");
const TypeClass_1 = require("../TypeClass");
exports.Bytes = new TypeClass_1.TypeClass('Bytes', (data) => {
    if (data instanceof Uint8Array)
        return data;
    if ((0, util_1.isHex)(data)) {
        return (0, util_1.hexToU8a)(data);
    }
    throw new Error(`can not hash ${data}`);
}, 'string', 'Bytes', x_sequelize_1.DataTypes.BLOB);
//# sourceMappingURL=Bytes.js.map