"use strict";
// Copyright 2020-2025 SubQuery Pte Ltd authors & contributors
// SPDX-License-Identifier: GPL-3.0
Object.defineProperty(exports, "__esModule", { value: true });
exports.Json = void 0;
const x_sequelize_1 = require("@subql/x-sequelize");
const TypeClass_1 = require("../TypeClass");
// Function to sort object properties
// If array is provide, return same array, but sort json properties in each object
// If JSON object only, sort its properties
function sortJsonObjectProperties(obj) {
    if (Array.isArray(obj)) {
        return obj.map((item) => sortJsonObjectProperties(item)).sort();
    }
    else if (obj && typeof obj === 'object' && obj.constructor === Object) {
        const sortedObj = {};
        Object.keys(obj)
            .sort()
            .forEach((key) => {
            const value = sortJsonObjectProperties(obj[key]);
            if (value !== undefined) {
                sortedObj[key] = value;
            }
        });
        return sortedObj;
    }
    return obj;
}
exports.Json = new TypeClass_1.TypeClass('Json', (data) => {
    return Buffer.from(JSON.stringify(sortJsonObjectProperties(data)));
}, undefined, undefined, x_sequelize_1.DataTypes.JSONB);
//# sourceMappingURL=Json.js.map