"use strict";
// Copyright 2020-2025 SubQuery Pte Ltd authors & contributors
// SPDX-License-Identifier: GPL-3.0
Object.defineProperty(exports, "__esModule", { value: true });
exports.wrappedNumToU8a = wrappedNumToU8a;
const util_1 = require("@polkadot/util");
/**
 * Due to current polkadotjs `numberToU8a` not support negative number,
 * The helper method used to convert negative to a uint8Array
 *
 * @param byteArray
 */
function wrappedNumToU8a(num) {
    if (num >= 0) {
        return (0, util_1.numberToU8a)(num);
    }
    return (0, util_1.u8aConcat)(new Uint8Array([0]), (0, util_1.numberToU8a)(Math.abs(num)));
}
//# sourceMappingURL=u8aUtils.js.map